Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 513)
@@ -49,7 +49,7 @@
 import org.txm.importer.scripting.GroovyImportScriptRunner;
 import org.txm.rcp.Application;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 
@@ -77,8 +77,8 @@
 	public RunGroovyScript(IWorkbenchWindow window) {
 		this.window = window;
 		setId(ID);
-		setText(Messages.RunGroovyScript_1);
-		setToolTipText(Messages.RunGroovyScript_2);
+		setText(RCPMessages.RunGroovyScript_1);
+		setToolTipText(RCPMessages.RunGroovyScript_2);
 		setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(
 				Application.PLUGIN_ID, IImageKeys.ACTION_RUN_SCRIPT));
 	}
@@ -101,7 +101,7 @@
 	public void run() {
 
 		FileDialog dialog = new FileDialog(window.getShell(), SWT.OPEN);
-		dialog.setFilterExtensions(new String[] { Messages.RunGroovyScript_3 });
+		dialog.setFilterExtensions(new String[] { RCPMessages.RunGroovyScript_3 });
 		String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 		String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 		
@@ -121,18 +121,18 @@
 			classPath.add(new File(scriptRootDir));
 			gse = new GroovyImportScriptRunner(script, classPath);
 		} catch (IOException e) {
-			System.err.println(NLS.bind(Messages.RunGroovyScript_4, e));
+			System.err.println(NLS.bind(RCPMessages.RunGroovyScript_4, e));
 			System.err.println(e);
 		}
 
 		if (gse != null) {
-			JobHandler jobhandler = new JobHandler(Messages.RunGroovyScript_0,
+			JobHandler jobhandler = new JobHandler(RCPMessages.RunGroovyScript_0,
 					null) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
-						monitor.beginTask(Messages.RunGroovyScript_9, 100);
+						monitor.beginTask(RCPMessages.RunGroovyScript_9, 100);
 						new Binding();
 						// gse.run(binding);
 						monitor.worked(100);
@@ -140,7 +140,7 @@
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.RunGroovyScript_8,
+						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8,
 								e));
 					} finally {
 						monitor.done();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 513)
@@ -51,7 +51,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Application;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.ComboDialog;
@@ -90,7 +90,7 @@
 		values.add("fr"); //$NON-NLS-1$
 		values.add("en"); //$NON-NLS-1$
 		values.add("ru"); //$NON-NLS-1$
-		ComboDialog d = new ComboDialog(shell, Messages.LanguageSwitchHandler_3, values,
+		ComboDialog d = new ComboDialog(shell, RCPMessages.LanguageSwitchHandler_3, values,
 				service.getString(Application.PLUGIN_ID,
 						RCPPreferences.UI_LOCALE, "fr", null)); //$NON-NLS-1$
 		if (d.open() == Window.OK) {
@@ -102,7 +102,7 @@
 		String locale = service.getString(Application.PLUGIN_ID,
 				RCPPreferences.UI_LOCALE, "fr", null); //$NON-NLS-1$
 		if (locale.length() == 0)
-			Log.warning(Messages.LanguageSwitchHandler_0);
+			Log.warning(RCPMessages.LanguageSwitchHandler_0);
 		// Does not work:
 		//System.getProperties().setProperty("eclipse.exitdata", "-nl " + locale);
 		//changeLocaleTXMIni(locale);
@@ -131,22 +131,22 @@
 			String path = System.getProperty("osgi.instance.area"); //$NON-NLS-1$
 			location = new URL(path + "TXM.ini"); //$NON-NLS-1$
 		} catch (MalformedURLException e) {
-			System.err.println(NLS.bind(Messages.LanguageSwitchHandler_5, location));
+			System.err.println(NLS.bind(RCPMessages.LanguageSwitchHandler_5, location));
 			return;
 		}
 		
 		String fileName = location.getFile();
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(Messages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(RCPMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
 			return;
 		}
 		fileName += ".bak"; //$NON-NLS-1$
 		file.renameTo(new File(fileName));
 		
 		// update TXM.ini
-		System.out.println(Messages.LanguageSwitchHandler_7+location);
-		Log.severe(Messages.LanguageSwitchHandler_7+location);
+		System.out.println(RCPMessages.LanguageSwitchHandler_7+location);
+		Log.severe(RCPMessages.LanguageSwitchHandler_7+location);
 		try {
 
 			BufferedReader in = new BufferedReader(new FileReader(fileName));
@@ -234,7 +234,7 @@
 
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(Messages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(RCPMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
 			return;
 		}
 		String fileNameBackup = fileName + ".bak"; //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 513)
@@ -35,7 +35,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.core.runtime.IProgressMonitor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.utils.logger.Log;
 
@@ -227,22 +227,22 @@
 		if (!this.canBeInterrupted) // Prevent thread system interruption (ThreadDeath not handled by the programmer)
 			return;
 		
-		Log.info(this.getName() + Messages.JobHandler_2);
+		Log.info(this.getName() + RCPMessages.JobHandler_2);
 		
 		try {
-			System.out.println(Messages.JobHandler_1 + " " + this.getName()); //$NON-NLS-1$
+			System.out.println(RCPMessages.JobHandler_1 + " " + this.getName()); //$NON-NLS-1$
 			this.syncExec(new Runnable() {
 				@Override
 				public void run() {
-					StatusLine.setMessage(Messages.JobHandler_0);
+					StatusLine.setMessage(RCPMessages.JobHandler_0);
 				}
 			});
-			if (currentMonitor != null) this.currentMonitor.setTaskName(Messages.JobHandler_0);
+			if (currentMonitor != null) this.currentMonitor.setTaskName(RCPMessages.JobHandler_0);
 			this.mySemaphore.acquire();
 			this.myThread.stop();
 		} catch (Exception e) {
 			org.txm.rcp.utils.Logger.printStackTrace(e);
-			Log.severe(Messages.JobHandler_3 + this.getName());
+			Log.severe(RCPMessages.JobHandler_3 + this.getName());
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java	(revision 513)
@@ -10,7 +10,7 @@
 
 //import practicallymacro.commands.EclipseCommand;
 
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 public class Commands {
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateMacro.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateMacro.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateMacro.java	(revision 513)
@@ -44,7 +44,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 import org.txm.utils.AsciiUtils;
@@ -94,7 +94,7 @@
 		
 		//ask new file name
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		InputDialog dialog = new InputDialog(shell, Messages.CreateMacro_0, Messages.CreateMacro_1, "", null); //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(shell, RCPMessages.CreateMacro_0, RCPMessages.CreateMacro_1, "", null); //$NON-NLS-1$
 		
 		dialog.open();
 		String name = dialog.getValue();
@@ -136,7 +136,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(Messages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(RCPMessages.CreateFile_1, newfile.getAbsolutePath()));
 					
 					PrintWriter writer = IOUtils.getWriter(newfile, "UTF-8"); //$NON-NLS-1$
 					writer.println("// STANDARD DECLARATIONS"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java	(revision 513)
@@ -55,7 +55,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.functions.TXMCommand;
 import org.txm.objects.TxmObject;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.editors.TXMEditorPart;
@@ -113,7 +113,7 @@
 				public void run() {
 					MessageBox messageBox = new MessageBox(Display.getDefault().getActiveShell(), SWT.ICON_QUESTION
 							| SWT.YES | SWT.NO);
-					messageBox.setMessage(NLS.bind(Messages.DeleteObject_0, selection.toList()));
+					messageBox.setMessage(NLS.bind(RCPMessages.DeleteObject_0, selection.toList()));
 					int response = messageBox.open();
 					if (response != SWT.YES) {
 						StatusLine.setMessage(""); //$NON-NLS-1$
@@ -148,7 +148,7 @@
 	 * @return 
 	 */
 	public synchronized static HashSet<Object> delete(final List<Object> objects) {
-		StatusLine.setMessage(NLS.bind(Messages.DeleteObject_5, objects));
+		StatusLine.setMessage(NLS.bind(RCPMessages.DeleteObject_5, objects));
 		
 		final HashSet<Object> allObjectDeleted = new HashSet<Object>();
 		shouldRestartToolbox = false;
@@ -158,14 +158,14 @@
 				List<Object> deleted = delete(o);
 				allObjectDeleted.addAll(deleted);
 				if (deleted.size() == 0) {
-					StatusLine.setMessage(Messages.DeleteObject_3+" : "+o);
+					StatusLine.setMessage(RCPMessages.DeleteObject_3+" : "+o);
 					return new HashSet<Object>();
 				}
 				// remove results already deleted
 				objects.removeAll(deleted);
 			} catch(Exception e) {
-				Log.info(NLS.bind(Messages.DeleteObject_4, o, e)); 
-				StatusLine.error(NLS.bind(Messages.DeleteObject_4, o, e)); 
+				Log.info(NLS.bind(RCPMessages.DeleteObject_4, o, e)); 
+				StatusLine.error(NLS.bind(RCPMessages.DeleteObject_4, o, e)); 
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return new HashSet<Object>();
 			}
@@ -177,8 +177,8 @@
 				org.txm.Toolbox.restartWorkspace();
 				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 				
-				System.err.println(Messages.AddBase_10);
-				StatusLine.setMessage(Messages.AddBase_10);
+				System.err.println(RCPMessages.AddBase_10);
+				StatusLine.setMessage(RCPMessages.AddBase_10);
 			}
 			
 			Display.getDefault().syncExec(new Runnable() {
@@ -210,7 +210,7 @@
 	public static List<Object> delete(Object o) {
 		ArrayList<Object> deleted = new ArrayList<Object>();
 		if (o instanceof TxmObject) {
-			Log.info(NLS.bind(Messages.DeleteObject_10, ((TxmObject) o).getName()));
+			Log.info(NLS.bind(RCPMessages.DeleteObject_10, ((TxmObject) o).getName()));
 
 			try {
 				if (o instanceof Corpus) {
@@ -223,7 +223,7 @@
 					deleted.addAll(c.getPartitions());
 
 					if (!((TxmObject) o).delete()) {
-						Log.info(Messages.DeleteObject_3);
+						Log.info(RCPMessages.DeleteObject_3);
 						return new ArrayList<Object>(0);
 					}
 				} else if (o instanceof Partition) {
@@ -233,7 +233,7 @@
 						i--;
 					}
 					if (!((TxmObject) o).delete()) {
-						Log.info(Messages.DeleteObject_3);
+						Log.info(RCPMessages.DeleteObject_3);
 						return new ArrayList<Object>(0);
 					}
 				}
@@ -312,12 +312,12 @@
 		// FIXME: when TXMResult will be implemented, only this code must be left
 		else if (o instanceof TXMResult) {
 			((TXMResult) o).delete();
-			System.out.println(NLS.bind(Messages.DeleteObject_10, ((TXMResult) o).getName()));
+			System.out.println(NLS.bind(RCPMessages.DeleteObject_10, ((TXMResult) o).getName()));
 		}
 		else if (o instanceof TXMCommand) {
 			TXMCommand l = (TXMCommand) o;
 			l.delete();
-			System.out.println(NLS.bind(Messages.DeleteObject_10, l));
+			System.out.println(NLS.bind(RCPMessages.DeleteObject_10, l));
 		}
 
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 513)
@@ -9,7 +9,7 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.handlers.IHandlerService;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.utils.logger.Log;
 
 public class CleanPerspective extends AbstractHandler {
@@ -42,11 +42,11 @@
 			try {
 				handlerService.executeCommand("org.eclipse.ui.window.resetPerspective", null); //$NON-NLS-1$
 			} catch (Exception e) {
-				System.out.println(Messages.CleanPerspective_1+e);
+				System.out.println(RCPMessages.CleanPerspective_1+e);
 				Log.printStackTrace(e);
 			}
 		} else {
-			System.out.println(Messages.CleanPerspective_2);
+			System.out.println(RCPMessages.CleanPerspective_2);
 		}
 		
 		return null;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/DeleteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/DeleteFile.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/DeleteFile.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.swt.widgets.MessageBox;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 import org.txm.utils.DeleteDir;
@@ -72,15 +72,15 @@
 
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(Messages.DeleteFile_0+file+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(RCPMessages.DeleteFile_0+file+" ? ");  //$NON-NLS-1$
 
 		int buttonID = dialog.open();
 		switch(buttonID) {
 		case SWT.YES:
 			if (file.isFile()) {
-				if (!file.delete()) System.out.println(Messages.DeleteFile_2+file);
+				if (!file.delete()) System.out.println(RCPMessages.DeleteFile_2+file);
 			} else if (file.isDirectory()) {
-				if (!DeleteDir.deleteDirectory(file)) System.out.println(Messages.DeleteFile_2+file);
+				if (!DeleteDir.deleteDirectory(file)) System.out.println(RCPMessages.DeleteFile_2+file);
 			}
 			Explorer.refresh();
 			MacroExplorer.refresh();
@@ -95,7 +95,7 @@
 	public static void delete(List files) {
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(Messages.DeleteFile_0+files+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(RCPMessages.DeleteFile_0+files+" ? ");  //$NON-NLS-1$
 		
 		int buttonID = dialog.open();
 		switch(buttonID) {
@@ -105,9 +105,9 @@
 					File file = (File) o;
 					if (file.exists())
 					if (file.isFile()) {
-						if (!file.delete()) System.out.println(Messages.DeleteFile_2+file);
+						if (!file.delete()) System.out.println(RCPMessages.DeleteFile_2+file);
 					} else if (file.isDirectory()) {
-						if (!DeleteDir.deleteDirectory(file)) System.out.println(Messages.DeleteFile_2+file);
+						if (!DeleteDir.deleteDirectory(file)) System.out.println(RCPMessages.DeleteFile_2+file);
 					}
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 513)
@@ -41,7 +41,7 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.SVGGraphicEditor;
 import org.txm.rcp.editors.input.SVGGraphicEditorInput;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -86,7 +86,7 @@
 	 * @return the sVG graphic editor
 	 */
 	public static SVGGraphicEditor OpenSVGFile(String filepath) {
-		return OpenSVGFile(filepath, Messages.OpenSVGGraph_0);
+		return OpenSVGFile(filepath, RCPMessages.OpenSVGGraph_0);
 	}
 
 	/**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 513)
@@ -46,7 +46,7 @@
 import org.eclipse.ui.internal.browser.WebBrowserEditorInput;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -179,8 +179,8 @@
 			editor.setPartName(editorname);
 			return editor;
 		} catch (Exception e) {
-			Log.severe(Messages.OpenBrowser_0+e.toString()+Messages.OpenBrowser_1+filepath);
-			System.out.println(Messages.OpenBrowser_0+e.toString()+Messages.OpenBrowser_1+filepath);
+			Log.severe(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
+			System.out.println(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
 		}
 		return null;
 	}
@@ -215,8 +215,8 @@
 
 			return editor;
 		} catch (Exception e) {
-			Log.severe(Messages.OpenBrowser_0+e.toString()+Messages.OpenBrowser_1+filepath);
-			System.out.println(Messages.OpenBrowser_0+e.toString()+Messages.OpenBrowser_1+filepath);
+			Log.severe(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
+			System.out.println(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
 		}
 		return null;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeDiagnostic.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeDiagnostic.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeDiagnostic.java	(revision 513)
@@ -47,7 +47,7 @@
 import org.txm.core.results.TXMParameters;
 import org.txm.functions.diagnostic.Diagnostic;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.preferences.RCPPreferences;
@@ -86,13 +86,13 @@
 		
 		Object sel = HandlerUtil.getCurrentSelection(event);
 		if (!(sel instanceof IStructuredSelection)) {
-			Log.warning(Messages.ComputeDiagnostic_0);
+			Log.warning(RCPMessages.ComputeDiagnostic_0);
 			return null;
 		}
 		
 		selection = (IStructuredSelection) sel;
 		if (!(selection.getFirstElement() instanceof Corpus)) {
-			System.out.println(Messages.ComputeDiagnostic_1+selection.getFirstElement());
+			System.out.println(RCPMessages.ComputeDiagnostic_1+selection.getFirstElement());
 			return null;
 		}
 		
@@ -111,18 +111,18 @@
 			Shell s = new Shell();
 			MessageBox messageBox = new MessageBox(s, SWT.ICON_QUESTION
 					| SWT.YES | SWT.NO);
-			messageBox.setMessage(NLS.bind(Messages.Diagnostique_1, diagfile.getName()));
+			messageBox.setMessage(NLS.bind(RCPMessages.Diagnostique_1, diagfile.getName()));
 			response = messageBox.open();
 		}
 
-		JobHandler jobhandler = new JobHandler(NLS.bind(Messages.Diagnostique_0, corpus.getName())) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(RCPMessages.Diagnostique_0, corpus.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					JobsTimer.start();
 					//this.setCurrentMonitor(monitor);
-					monitor.beginTask(NLS.bind(Messages.Diagnostique_0, corpus.getName()), 100);
+					monitor.beginTask(NLS.bind(RCPMessages.Diagnostique_0, corpus.getName()), 100);
 					final int maxvalue = TXMPreferences.getInt(RCPPreferences.MAXVALUE, RCPPreferences.PREFERENCES_NODE);
 					diagfile.getParentFile().mkdir();
 					
@@ -132,7 +132,7 @@
 					if (response == SWT.YES) {
 						diagfile.delete();
 						
-						monitor.subTask(Messages.Diagnostique_7);
+						monitor.subTask(RCPMessages.Diagnostique_7);
 						Diagnostic diag = new Diagnostic(corpus);
 						TXMParameters params = new TXMParameters();
 						params.put("maxvalue", maxvalue);
@@ -144,7 +144,7 @@
 							return Status.CANCEL_STATUS;
 						}
 						
-						monitor.subTask(Messages.Diagnostique_8);
+						monitor.subTask(RCPMessages.Diagnostique_8);
 						diag.stepGeneralInfos();
 						monitor.worked(10);
 						if(monitor.isCanceled()) {
@@ -152,7 +152,7 @@
 							return Status.CANCEL_STATUS;
 						}
 						
-						monitor.subTask(Messages.Diagnostique_9);
+						monitor.subTask(RCPMessages.Diagnostique_9);
 						diag.stepLexicalProperties();
 						monitor.worked(20);
 						if (monitor.isCanceled()) {
@@ -160,7 +160,7 @@
 							return Status.CANCEL_STATUS;
 						}
 						
-						monitor.subTask(Messages.Diagnostique_10);
+						monitor.subTask(RCPMessages.Diagnostique_10);
 						diag.stepStructuralUnits();
 						monitor.worked(50);
 						if (monitor.isCanceled()) {
@@ -174,13 +174,13 @@
 						//if(diagfile.exists() && diagfile.canRead())
 						diag.toHTML(diagfile);
 						if (!diagfile.exists() || !diagfile.canRead()) {
-							System.out.println(Messages.Diagnostique_2+corpus+": "+diagfile);  //$NON-NLS-1$
+							System.out.println(RCPMessages.Diagnostique_2+corpus+": "+diagfile);  //$NON-NLS-1$
 							monitor.done();
 							return Status.CANCEL_STATUS;
 						}
 					}
 
-					monitor.subTask(Messages.Diagnostique_11);
+					monitor.subTask(RCPMessages.Diagnostique_11);
 					monitor.worked(5);
 					syncExec(new Runnable() {
 						@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportSVG.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportSVG.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.io.FileCopy;
 
@@ -176,9 +176,9 @@
 		}
 
 		if (outfile.exists()) {
-			System.out.println(NLS.bind(Messages.ExportSVG_1, outfile, ""));  //$NON-NLS-1$
+			System.out.println(NLS.bind(RCPMessages.ExportSVG_1, outfile, ""));  //$NON-NLS-1$
 		} else {
-			System.out.println(NLS.bind(Messages.ExportSVG_3 + outfile, "")); //$NON-NLS-1$
+			System.out.println(NLS.bind(RCPMessages.ExportSVG_3 + outfile, "")); //$NON-NLS-1$
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/OpenParaBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/OpenParaBrowser.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/OpenParaBrowser.java	(revision 513)
@@ -38,7 +38,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.input.ParaBrowserEditorInput;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -86,7 +86,7 @@
 		IWorkbenchPage page = window.getActivePage();
 		try {
 			StatusLine
-					.setMessage(Messages.OpenParaBrowser_0);
+					.setMessage(RCPMessages.OpenParaBrowser_0);
 			page
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.parabrowser.ParaBrowserEditor"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportResult.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ExportResult.java	(revision 513)
@@ -46,7 +46,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.functions.TXMCommand;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -92,7 +92,7 @@
 		}
 
 		if (dialog.open() != null) {
-			StatusLine.setMessage(Messages.ExportResult_0);
+			StatusLine.setMessage(RCPMessages.ExportResult_0);
 			String filepath = dialog.getFilterPath()
 					+ "/" + dialog.getFileName(); //$NON-NLS-1$
 			if (!(filepath.endsWith(extensions[0].substring(1))))
@@ -103,10 +103,10 @@
 			try {
 				outfile.createNewFile();
 			} catch (IOException e1) {
-				System.err.println(NLS.bind(Messages.ExportResult_3, outfile, e1));
+				System.err.println(NLS.bind(RCPMessages.ExportResult_3, outfile, e1));
 			}
 			if (!outfile.canWrite()) {
-				System.out.println(NLS.bind(Messages.ExportResult_5, outfile));
+				System.out.println(NLS.bind(RCPMessages.ExportResult_5, outfile));
 				return null;
 			}
 			if (!outfile.isFile()) {
@@ -120,12 +120,12 @@
 			String _txtseparator = TXMPreferences.getString(TBXPreferences.EXPORT_TXTSEPARATOR, TBXPreferences.PREFERENCES_NODE);
 			final String txtseparator = _txtseparator;
 
-			JobHandler jobhandler = new JobHandler(Messages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(RCPMessages.ExportResult_0) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(Messages.ExportResult_1, 100);
+						monitor.beginTask(RCPMessages.ExportResult_1, 100);
 
 						if (s instanceof TXMCommand) {
 							((TXMCommand)s).setCurrentMonitor(this); // Allows Functions to protect themselves from interruption
@@ -148,14 +148,14 @@
 
 							System.out.println(NLS.bind("", outfile.getAbsolutePath())); //$NON-NLS-1$
 						} else {
-							System.out.println(NLS.bind(Messages.ExportResult_6, outfile.getAbsolutePath()));
+							System.out.println(NLS.bind(RCPMessages.ExportResult_6, outfile.getAbsolutePath()));
 						}
 					} catch (ThreadDeath td) {
 						if (s instanceof TXMCommand)
 							((TXMCommand)s).clean();
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.ExportResult_6, s, e));
+						System.out.println(NLS.bind(RCPMessages.ExportResult_6, s, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					} finally {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java	(revision 513)
@@ -37,7 +37,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TestEditor;
 import org.txm.rcp.editors.input.TestEditorInput;
@@ -69,13 +69,13 @@
 
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			StatusLine.setMessage(Messages.ComputeConcordance_0);
+			StatusLine.setMessage("Open...");
 			TestEditor testEditor = (TestEditor) page
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.TestEditor"); //$NON-NLS-1$
 			//conceditor.setFocus(""); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		return null;
